Debian Bug report logs - #155588
tiger: incompatible with current fileutils

version graph

Package: tiger; Maintainer for tiger is Javier Fernández-Sanguino Peña <jfs@debian.org>; Source for tiger is src:tiger.

Reported by: Matt Zimmerman <mdz@debian.org>

Date: Tue, 6 Aug 2002 14:48:11 UTC

Severity: important

Found in version 3.0-1

Fixed in version tiger/3.0-2

Done: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org:
Bug#155588; Package tiger. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
New Bug report received and forwarded. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tiger: Needs to set LC_ALL=C
Date: Tue, 6 Aug 2002 10:34:13 -0400
Package: tiger
Version: 3.0-1
Severity: important

--WARN-- [perm001w] The owner of /var/log/wtmp should be root (owned by utmp).
--WARN-- [acc008w] Login ID mdz's .kshrc config file has group `13' write access.
--WARN-- [acc008w] Login ID mdz's .login config file has group `856' write access.
--WARN-- [acc008w] Login ID mdz's .xinitrc config file has group `249' write access.
[...many similar errors and warnings...]

-rw-rw-r--    1 mdz      mdz           856 2000-11-13 20:23 /home/mdz/.login
-rw-rw-r--    1 root     utmp        72576 2002-08-06 09:23 /var/log/wtmp

Apparently, tiger is trying to parse "ls -l" output, which is
locale-specific, and getting the fields wrong.

-- System Information:
Debian Release: unstable
Architecture: i386
Kernel: Linux mizar 2.4.18-evms1.1.0-freeswan-usbdnet #1 Fri Aug 2 17:09:37 EDT 2002 i686
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages tiger depends on:
ii  debconf                       1.1.22     Debian configuration management sy
ii  diff                          2.8.1-1    File comparison utilities
ii  fileutils                     4.1.10-2   GNU file management utilities
ii  libc6                         2.2.5-12   GNU C Library: Shared libraries an
ii  net-tools                     1.60-4     The NET-3 networking toolkit
ii  shellutils                    2.0.12-2   The GNU shell programming utilitie
ii  textutils                     2.0-13     The GNU text file processing utili

-- debconf information excluded


-- 
 - mdz



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org:
Bug#155588; Package tiger. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 155588@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Matt Zimmerman <mdz@debian.org>, 155588@bugs.debian.org
Subject: Re: Bug#155588: tiger: Needs to set LC_ALL=C
Date: Tue, 6 Aug 2002 17:16:47 +0200
On Tue, Aug 06, 2002 at 10:34:13AM -0400, Matt Zimmerman wrote:
> Package: tiger
> Version: 3.0-1
> Severity: important

> 
> --WARN-- [perm001w] The owner of /var/log/wtmp should be root (owned by utmp).
> --WARN-- [acc008w] Login ID mdz's .kshrc config file has group `13' write access.
> --WARN-- [acc008w] Login ID mdz's .login config file has group `856' write access.
> --WARN-- [acc008w] Login ID mdz's .xinitrc config file has group `249' write access.
> [...many similar errors and warnings...]

 Could you please test it now with the package (3.0-2) available at
www.dat.etsit.upm.es/~jfs/debian/security/tiger?

 I have just changed this:
--- tiger-3.0.orig/config
+++ tiger-3.0/config
@@ -22,6 +22,10 @@
 #-----------------------------------------------------------------------------
 #
 # space, tab, newline
+
+# set the environment properly
+export LC_ALL=C
+

	Since both tiger and tigercron source config it should work ok.
	Please report if this fixes the bug reported.

	Regards

	Javi



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org:
Bug#155588; Package tiger. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 155588@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Javier Fernández-Sanguino Peña <jfs@computer.org>
Cc: 155588@bugs.debian.org
Subject: Re: Bug#155588: tiger: Needs to set LC_ALL=C
Date: Tue, 6 Aug 2002 11:31:54 -0400
On Tue, Aug 06, 2002 at 05:16:47PM +0200, Javier Fernández-Sanguino Peña wrote:

>  Could you please test it now with the package (3.0-2) available at
> www.dat.etsit.upm.es/~jfs/debian/security/tiger?

Unfortunately, this does not seem to fix the problem.  I may have been
mistaken in my diagnosis (there have been similar problems in other programs
recently).  Even if I set LC_ALL=C:

root@mizar:[/usr/lib/tiger/scripts] ls -l ~mdz/.login
-rw-rw-r--    1 mdz      mdz           856 Nov 13  2000 /home/mdz/.login

I still get:
--WARN-- [acc008w] Login ID mdz's .login config file has group `856' write 
         access. 

when running check_accounts by hand.

I also get this:

./check_accounts: line 132: [: -gt: unary operator expected

which I'm not sure was there before.  So I don't know what is causing this
problem.  /bin/sh is bash, awk is mawk.

-- 
 - mdz



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org:
Bug#155588; Package tiger. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 155588@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Matt Zimmerman <mdz@debian.org>
Cc: Javier Fernández-Sanguino Peña <jfs@computer.org>, 155588@bugs.debian.org
Subject: Re: Bug#155588: tiger: Needs to set LC_ALL=C
Date: Tue, 6 Aug 2002 18:02:00 +0200
On Tue, Aug 06, 2002 at 11:31:54AM -0400, Matt Zimmerman wrote:
> 
> root@mizar:[/usr/lib/tiger/scripts] ls -l ~mdz/.login
> -rw-rw-r--    1 mdz      mdz           856 Nov 13  2000 /home/mdz/.login
> 
> I still get:
> --WARN-- [acc008w] Login ID mdz's .login config file has group `856' write 
>          access. 

	Is mdz group 856 in your /etc/groups? 
	Note, however, that this is not a bug :) It's just that Tiger does not
understand that Debian gives users exclusive groups. Read this:
$ ./tigexp  acc008w

The listed login ID has a configuration file which has group write
permission, word write permission, or both enabled.  This allows others
to change this file, compromising the login ID.

	So it might just be a false positive (which should be removed on the next
run if you set "Tiger_Cron_CheckPrev=Y" in tigerrc.
> 
> when running check_accounts by hand.
> 
> I also get this:
> 
> ./check_accounts: line 132: [: -gt: unary operator expected
> 
> which I'm not sure was there before.  So I don't know what is causing this
> problem.  /bin/sh is bash, awk is mawk.

	This might be due to a problem in the script. Line 132 says:
[ $uid -gt $Tiger_Accounts_Trust ]. Could you send me (if it gives too many
details send it encrypted privately) an 'sh -x check_accounts' ?
	Also, can you check if
$ grep ^Tiger_Accounts_Trust /etc/tigerrc

	returns anything at all. If not I just might add a sanity check in the
script (but I'm positive there is one there already). In any case my laptop's
version has more of them so you can probably wait a bit until 3.0.1 is ready :)

	Regards

	Javi



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org:
Bug#155588; Package tiger. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 155588@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Javier Fernández-Sanguino Peña <jfs@computer.org>
Cc: 155588@bugs.debian.org
Subject: Re: Bug#155588: tiger: Needs to set LC_ALL=C
Date: Tue, 6 Aug 2002 12:15:53 -0400
On Tue, Aug 06, 2002 at 06:02:00PM +0200, Javier Fernández-Sanguino Peña wrote:

> On Tue, Aug 06, 2002 at 11:31:54AM -0400, Matt Zimmerman wrote:
> > 
> > root@mizar:[/usr/lib/tiger/scripts] ls -l ~mdz/.login
> > -rw-rw-r--    1 mdz      mdz           856 Nov 13  2000 /home/mdz/.login
> > 
> > I still get:
> > --WARN-- [acc008w] Login ID mdz's .login config file has group `856' write 
> >          access. 
> 
> 	Is mdz group 856 in your /etc/groups? 
> 	Note, however, that this is not a bug :) It's just that Tiger does not
> understand that Debian gives users exclusive groups. Read this:
> $ ./tigexp  acc008w

No, there is no group id 856:

mizar:[~] grep 856 /etc/group 
zsh: exit 1     grep 856 /etc/group

mdz is uid=gid=1000.  856 is the size of the file.

> > ./check_accounts: line 132: [: -gt: unary operator expected
> > 
> > which I'm not sure was there before.  So I don't know what is causing this
> > problem.  /bin/sh is bash, awk is mawk.
> 
> 	This might be due to a problem in the script. Line 132 says:
> [ $uid -gt $Tiger_Accounts_Trust ]. Could you send me (if it gives too many
> details send it encrypted privately) an 'sh -x check_accounts' ?
> 	Also, can you check if
> $ grep ^Tiger_Accounts_Trust /etc/tigerrc

Unfortunately, I've already wiped out the configuration on that machine.  I
suppose it is possible that Tiger_Accounts_Trust was set incorrectly when I
edited it; that error message was not in the mail from cron.

-- 
 - mdz



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org:
Bug#155588; Package tiger. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 155588@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Matt Zimmerman <mdz@debian.org>
Cc: Javier Fernández-Sanguino Peña <jfs@computer.org>, 155588@bugs.debian.org
Subject: Re: Bug#155588: tiger: Needs to set LC_ALL=C
Date: Tue, 6 Aug 2002 18:30:43 +0200
On Tue, Aug 06, 2002 at 12:15:53PM -0400, Matt Zimmerman wrote:
> No, there is no group id 856:
> 
> mizar:[~] grep 856 /etc/group 
> zsh: exit 1     grep 856 /etc/group

	Yes, I saw that.

(...)
> Unfortunately, I've already wiped out the configuration on that machine.  I

Because of dpkg --purge? That's not a nice way to help reproduce bugs.

The error seems to come from the getpermit() function in initdefs, for some reason
it does not print the correct output and the 'while read' reads size information
instead of group information.

However, it does work on my system (fileutils 4.1-10). Could it be related to 
a bug in fileutils? I remember reading that 'ls' output was mangled in some
cases... where was it?

> suppose it is possible that Tiger_Accounts_Trust was set incorrectly when I
> edited it; that error message was not in the mail from cron.
> 
	Maybe because
0 * * * *      root    /usr/lib/tiger/tigercron >/dev/null 2>&1

	Ouch! (I might change this in the next release)


	Javi



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org:
Bug#155588; Package tiger. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 155588@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Javier Fernández-Sanguino Peña <jfs@computer.org>
Cc: 155588@bugs.debian.org
Subject: Re: Bug#155588: tiger: Needs to set LC_ALL=C
Date: Tue, 6 Aug 2002 13:03:41 -0400
On Tue, Aug 06, 2002 at 06:30:43PM +0200, Javier Fernández-Sanguino Peña wrote:

> On Tue, Aug 06, 2002 at 12:15:53PM -0400, Matt Zimmerman wrote:
> > Unfortunately, I've already wiped out the configuration on that machine.  I
> 
> Because of dpkg --purge? That's not a nice way to help reproduce bugs.

Yes, because of dpkg --purge.  After getting several pages worth of
irrelevant and incorrect warnings, I decided that I did not want to use
tiger.  I find that convoluted shell scripts are, in general, not robust
enough for this kind of task.  This problem is a specific example of this
general phenomenon.

I just reinstalled it, without editing the default config file at all, and
taking defaults for all debconf questions, and the bugs are very easy to
reproduce in a vanilla installation:

root@mizar:[/usr/lib/tiger/scripts] ./check_accounts
Configuring...
 
Will try to check using config for 'i686' running Linux
2.4.18-evms1.1.0-freeswan-usbdnet...
--CONFIG-- [con005c] Using configuration files for Linux
2.4.18-evms1.1.0-freeswan-usbdnet. Using
           configuration files for generic Linux 2.
           Not all checks may be performed.

# Performing check of user accounts...
# Checking accounts from /etc/passwd.
--WARN-- [acc008w] Login ID mdz's .kshrc config file has group `13' write 
         access. 
--WARN-- [acc008w] Login ID mdz's .login config file has group `856' write 
         access. 
--WARN-- [acc008w] Login ID mdz's .xinitrc config file has group `249' write 
         access. 
         access. 
./check_accounts: line 132: [: -gt: unary operator expected

[messages about other accounts omitted]

I also find it very irritating that it runs so many commands in the
background, and continues to spew output onto my terminal until I kill it,
when it is run interactively.

> The error seems to come from the getpermit() function in initdefs, for
> some reason it does not print the correct output and the 'while read'
> reads size information instead of group information.

> However, it does work on my system (fileutils 4.1-10). Could it be related
> to a bug in fileutils? I remember reading that 'ls' output was mangled in
> some cases... where was it?

I am running fileutils 4.1.10-2 (current unstable).  Perhaps you can try on
an unstable system.  I just tested tiger on another (quite different)
unstable powerpc system and it has exactly the same problem there, so this
bug is not specific to my environment.

The most prominent output format change in fileutils was the original
situation that I described when reporting this bug; the date format is
different depending on locale settings.  There may be others, however.

> > suppose it is possible that Tiger_Accounts_Trust was set incorrectly
> > when I edited it; that error message was not in the mail from cron.

Apparently, this was not the case.  This is more than likely a symptom of
the same problem, since I assume it is comparing that value to incorrect
values that it has attempted to parse from other programs' output.

-- 
 - mdz



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org:
Bug#155588; Package tiger. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org. Full text and rfc822 format available.

Message #40 received at 155588@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Matt Zimmerman <mdz@debian.org>
Cc: Javier Fernández-Sanguino Peña <jfs@computer.org>, 155588@bugs.debian.org
Subject: Re: Bug#155588: tiger: Needs to set LC_ALL=C
Date: Tue, 6 Aug 2002 19:23:01 +0200
On Tue, Aug 06, 2002 at 01:03:41PM -0400, Matt Zimmerman wrote:
> On Tue, Aug 06, 2002 at 06:30:43PM +0200, Javier Fernández-Sanguino Peña wrote:
> 
> > On Tue, Aug 06, 2002 at 12:15:53PM -0400, Matt Zimmerman wrote:
> > > Unfortunately, I've already wiped out the configuration on that machine.  I
> > 
> > Because of dpkg --purge? That's not a nice way to help reproduce bugs.
> 
> Yes, because of dpkg --purge.  After getting several pages worth of
> irrelevant and incorrect warnings, I decided that I did not want to use
> tiger.  I find that convoluted shell scripts are, in general, not robust
> enough for this kind of task.  This problem is a specific example of this
> general phenomenon.
> 
	Well, (un)fortunately Tiger is the only hostbased-IDS available for Linux
so... However, you should read README.Debian though. Tiger might be incorrect the
first time but it has a nice 'send only differentiated reports' that weeds them
out quite fast.

> I just reinstalled it, without editing the default config file at all, and
> taking defaults for all debconf questions, and the bugs are very easy to
> reproduce in a vanilla installation:
>
(..)
> ./check_accounts: line 132: [: -gt: unary operator expected

	Still, I cannot reproduce it so I *think* this is due to changes
in 'ls'.
> 
> [messages about other accounts omitted]
> 
> I also find it very irritating that it runs so many commands in the
> background, and continues to spew output onto my terminal until I kill it,
> when it is run interactively.

	There are only a few commands running in the background IIRC and this
is due to them taking quite a long time to finish.

> I am running fileutils 4.1.10-2 (current unstable).  Perhaps you can try on
> an unstable system.  I just tested tiger on another (quite different)
> unstable powerpc system and it has exactly the same problem there, so this
> bug is not specific to my environment.

	It is, you are running unstable and I'm not :)
> 
> The most prominent output format change in fileutils was the original
> situation that I described when reporting this bug; the date format is
> different depending on locale settings.  There may be others, however.

	That's probably the problem
> 
> Apparently, this was not the case.  This is more than likely a symptom of
> the same problem, since I assume it is comparing that value to incorrect
> values that it has attempted to parse from other programs' output.

	No, it's probably that 'uid' is simply not properly defined and thus
the script breaks. I will add more sanity checks, however.

	In any case, i will test with the latest fileutils and see what
happens....

	Regards

	Javi



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org:
Bug#155588; Package tiger. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, tiger@packages.qa.debian.org. Full text and rfc822 format available.

Message #45 received at 155588@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Matt Zimmerman <mdz@debian.org>, 155588@bugs.debian.org
Subject: Re: Bug#155588: tiger: Needs to set LC_ALL=C
Date: Tue, 6 Aug 2002 20:03:00 +0200
On Tue, Aug 06, 2002 at 10:34:13AM -0400, Matt Zimmerman wrote:
> Package: tiger
> Version: 3.0-1
> Severity: important
> 
> --WARN-- [perm001w] The owner of /var/log/wtmp should be root (owned by utmp).
> --WARN-- [acc008w] Login ID mdz's .kshrc config file has group `13' write access.
> --WARN-- [acc008w] Login ID mdz's .login config file has group `856' write access.
> --WARN-- [acc008w] Login ID mdz's .xinitrc config file has group `249' write access.
> [...many similar errors and warnings...]

Ok problem found. Check this:

$ dpkg --status fileutils |grep ^Version
Version: 4.1.10-2
jfs@hades:/tmp/jfs$ /bin/ls -L -lg -ld /home/aalonso
drwxr-sr-x    6 aalonso      4096 2002-07-17 23:37 /home/aalonso

$  dpkg --status fileutils |grep ^Version
Version: 4.1-10
jfs@avalon:~$  /bin/ls -L -lg -ld /home/aalonso
drwxr-sr-x    6 aalonso  aalonso      4096 jul 17 23:37 /home/aalonso

	So it seems that fileutils has changen a little bit. The only things
I see in the changelog is that the time input has changed, but obviously other 
things have changed too! It seems that the -g option (don't show owner) wasn't
working properly in previous releases and now it does.
	Previously the manpage read:

 -g     (ignored) 
(probably to make it compatible with other UNIX version which have this flag to 
show groups)

	and now

  -g     like -l, but do not list owner

	That's not nice... will fix tomorrow

	Javi




Changed Bug title. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matt Zimmerman <mdz@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #52 received at 155588-close@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
To: 155588-close@bugs.debian.org
Subject: Bug#155588: fixed in tiger 3.0-2
Date: Wed, 07 Aug 2002 04:17:35 -0400
We believe that the bug you reported is fixed in the latest version of
tiger, which is due to be installed in the Debian FTP archive:

tiger-otheros_3.0-2_i386.deb
  to pool/main/t/tiger/tiger-otheros_3.0-2_i386.deb
tiger_3.0-2.diff.gz
  to pool/main/t/tiger/tiger_3.0-2.diff.gz
tiger_3.0-2.dsc
  to pool/main/t/tiger/tiger_3.0-2.dsc
tiger_3.0-2_i386.deb
  to pool/main/t/tiger/tiger_3.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 155588@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Javier Fernandez-Sanguino Pen~a <jfs@computer.org> (supplier of updated tiger package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Tue,  6 Aug 2002 17:06:01 +0200
Source: tiger
Binary: tiger tiger-otheros
Architecture: source i386
Version: 3.0-2
Distribution: unstable
Urgency: low
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Changed-By: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Description: 
 tiger      - Report system security vulnerabilities
 tiger-otheros - Scripts to run Tiger in other operating systems
Closes: 155588
Changes: 
 tiger (3.0-2) unstable; urgency=low
 .
   * Changed Linux' config file so that it sets LSGROUPS to nothing
   Due to a change in fileutils-4.1.1 which changed the standard
   behavior from "showing groups (but really doing nothing)" to
   "not showing the owner" ! (Closes: #155588)
   * Modified config to set the environment properly (this was the
   first workaround I tried for the previous bug, didn't fix it but
   it seems better to leave the locale's environment, just in case...)
Files: 
 688dcdf4b4ec9ac88c4b24b6ea214ba7 675 admin optional tiger_3.0-2.dsc
 9cfab1af6be24800fb11c7f246ebd4d6 30687 admin optional tiger_3.0-2.diff.gz
 7e822c573fd9266e47d86e675d92d874 277748 admin optional tiger_3.0-2_i386.deb
 e9e3237d923bf45bffcf2b37a80d9de0 98062 admin optional tiger-otheros_3.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: 2.6.3ia
Charset: noconv

iQCVAwUBPVDW3/tEPvakNq0lAQGWAwP/QSDbX3lAl6MllmBWerewtYzn8GUqN4yV
QZDm4SF5X0gxHCjfshh9OEPKAuZPJvQtWk3Md0vIu+iojqs2E3ougZthV5Trlfj6
pXCQsVaxxF3vNeiRHicsXV2A8GVMtucLQ435mh54ltT3bmO/CjhoSMaIG6j3HheB
GowKPOTtWXc=
=Ay+n
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:01:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.